using Common;
using CommonEntity;
using static CSRedis.CSRedisClient;

namespace Redis定阅
{
    internal class Program
    {
        static void Main(string[] args)
        {
            Console.WriteLine("Hello, World!");

            var DingYue3 = ("redis-power", new Action<SubscribeMessageEventArgs>(async (args) =>
            {
                string body = args.Body;

                NengHao? poo = System.Text.Json.JsonSerializer.Deserialize<NengHao>(body);
            }));
            CSRedisCacheHelper.redis.Subscribe(DingYue3);
            Console.ReadLine();
        }
    }
}
